| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::command_resolved Struct Reference

Resolved snowflake ids to users, guild members, roles and channels. You can use the interaction::get_resolved_* methods to easily get a resolved set. More...

`#include <appcommand.h>`

Collaboration diagram for dpp::command_resolved:
[legend]

## Public Attributes

std::map< dpp::snowflake, dpp::attachment > | attachments
| Resolved attachments.
std::map< dpp::snowflake, dpp::channel > | channels
| Resolved channels.
std::map< dpp::snowflake, permission > | member_permissions
| Resolved total guild member permissions including channel overwrites, permissions from roles and administrator privileges.
std::map< dpp::snowflake, dpp::guild_member > | members
| Resolved guild members.
std::map< dpp::snowflake, dpp::message > | messages
| Resolved messages.
std::map< dpp::snowflake, dpp::role > | roles
| Resolved roles.
std::map< dpp::snowflake, dpp::user > | users
| Resolved users.

## Detailed Description

Resolved snowflake ids to users, guild members, roles and channels. You can use the interaction::get_resolved_* methods to easily get a resolved set.

## Member Data Documentation

## ◆ attachments

std::map<dpp::snowflake, dpp::attachment> dpp::command_resolved::attachments

Resolved attachments.

See also
  interaction::get_resolved_attachment

## ◆ channels

std::map<dpp::snowflake, dpp::channel> dpp::command_resolved::channels

Resolved channels.

See also
  interaction::get_resolved_channel

## ◆ member_permissions

std::map<dpp::snowflake, permission> dpp::command_resolved::member_permissions

Resolved total guild member permissions including channel overwrites, permissions from roles and administrator privileges.

See also
  interaction::get_resolved_permission

## ◆ members

std::map<dpp::snowflake, dpp::guild_member> dpp::command_resolved::members

Resolved guild members.

See also
  interaction::get_resolved_member

## ◆ messages

std::map<dpp::snowflake, dpp::message> dpp::command_resolved::messages

Resolved messages.

See also
  interaction::get_resolved_message

## ◆ roles

std::map<dpp::snowflake, dpp::role> dpp::command_resolved::roles

Resolved roles.

See also
  interaction::get_resolved_role

## ◆ users

std::map<dpp::snowflake, dpp::user> dpp::command_resolved::users

Resolved users.

See also
  interaction::get_resolved_user

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0